
# Interface: IAuWidgetAssetStorageAjaxConfig

## Hierarchy

* **IAuWidgetAssetStorageAjaxConfig**

## Index

### Properties

* [assetType](iauwidgetassetstorageajaxconfig.md#assettype)
* [entriesFilter](iauwidgetassetstorageajaxconfig.md#optional-entriesfilter)
* [folder](iauwidgetassetstorageajaxconfig.md#folder)
* [folderFilter](iauwidgetassetstorageajaxconfig.md#optional-folderfilter)
* [lock](iauwidgetassetstorageajaxconfig.md#lock)
* [previewOptions](iauwidgetassetstorageajaxconfig.md#previewoptions)

## Properties

###  assetType

• **assetType**: *[AssetType](../README.md#assettype)*

___

### `Optional` entriesFilter

• **entriesFilter**? : *Function | Function[]*

___

###  folder

• **folder**: *string*

___

### `Optional` folderFilter

• **folderFilter**? : *Function | Function[]*

___

###  lock

• **lock**: *string[] | string*

___

###  previewOptions

• **previewOptions**: *[IPreviewOptions](ipreviewoptions.md)*
